'use strict';

var OrcamentoBDIImplicitoController = angular.module('OrcamentoBDIImplicitoController', []);

OrcamentoBDIImplicitoController.controller('OrcamentoBDIImplicitoCtrl', ['$scope', '$filter', 'Relatorio', 'Material', 'CacheApp',
  ($scope, $filter, Relatorio, Material, CacheApp) => {
    $scope.construcao = CacheApp.getConstrucao();
    $scope.assinatura = true;
    $scope.descricaoObra = true;

    // $scope.getTipoMaterial = () => {
    //     Material.getTipoMaterial(
    //         (data) => {
    //             //console.log(data.Instance);
    //             $scope.listaTipoMaterial = data.Instance;
    //             //$scope.listaTipoMaterial.unshift($scope.getSelectedTipo());
    //             $scope.listaTipoMaterial.forEach(tipo => {
    //                 switch (tipo.Id) {
    //                     case 1:
    //                         tipo.Opcao = 30
    //                         break;
    //                     case 2:
    //                         tipo.Opcao = 31
    //                         break;
    //                     case 3:
    //                         tipo.Opcao = 29
    //                         break;
    //                     case 5:
    //                         tipo.Opcao = 32
    //                         break;
    //                     case 6:
    //                         tipo.Opcao = 33
    //                         break;
    //                 }
    //                 //tipo.Opcao = tipo
    //             });

    //             //console.log($scope.listaTipoMaterial);

    //             $scope.listaTipoMaterial.unshift({Id: 0, Nome: 'Completo', Descricao: 'Completo', Opcao: 2});

    //             $scope.selecionado = $scope.listaTipoMaterial[0];
    //             $scope.getOrcamentoBDIImplicito();
    //         });
    // }
    // $scope.getTipoMaterial();

    $scope.getOrcamentoBDIImplicito = () => {
        $scope.planejado = {};
        // Relatorio.getOrcamentoBDIImplicito($scope.selecionado.Opcao, $scope.construcao.Id,
        Relatorio.getOrcamentoBDIImplicito($scope.construcao.Id,
            (data) => {
                $scope.planejado = data.Instance;
                if (data.Instance)
                    $scope.construcao.ValorBDI = data.Instance.Valor;
            });
    }

    $scope.pdfOrcamentoBDIImplicito = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        if ($scope.assinatura == true) {
            cabecalho.Responsavel = $scope.construcao.Contato
        };
        if ($scope.descricaoObra == true) {
            cabecalho.DescricaoObra = $scope.construcao.Descricao
        };

        // Relatorio.pdfOrcamentoBDIImplicito($scope.selecionado.Opcao, $scope.construcao.Id, cabecalho,
        Relatorio.pdfOrcamentoBDIImplicito($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsOrcamentoBDIImplicito = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        // Relatorio.xlsOrcamentoBDIImplicito($scope.selecionado.Opcao, $scope.construcao.Id, cabecalho,
        Relatorio.xlsOrcamentoBDIImplicito($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
        });
    }

    $scope.getOrcamentoBDIImplicito();
}]);
